# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Operation		= yes

#-----[ Directory ]----------------------------------------

Operation_DIR           =       $(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/Operation

#-----[ Library ]------------------------------------------

Operation_LIBRARY	= 	-lOperation

Operation_DIR_LIBRARY	=	-L$(Operation_DIR)/lib

#-----[ Rules ]--------------------------------------------

Operation_library	:
			@\
			$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile;

Operation_library_clean	:
			@\
			$(MAKE) --directory=$(Operation_DIR) --makefile=Makefile clean;
